### Method

# EBackend SourceRegistryServer ref_oauth2_support

since: 3.40

#### Declaration [src]

    EOAuth2Support*
    e_source_registry_server_ref_oauth2_support (
      ESourceRegistryServer* server
    )

#### Description [src]

Returns the default `EOAuth2Support` implementation, which can be used when the source doesn’t have it overwritten.

Free the returned object with g_object_unref(), when no longer needed.

Available since: 3.40

#### Return value

Type: `EOAuth2Support`

The default `EOAuth2Support`, or `NULL`, when none exists.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.